package de.intevation.gnv.exports;

/**
 * @author Sascha L. Teichmann (sascha.teichmann@intevation.de)
 * @author Ingo Weinzierl (ingo.weinzierl@intevation.de)
 */
public class DefaultProfile
implements   Export.Profile
{
    protected String [] names;
    protected char      separator;
    protected char      escapeCharacter;
    protected char      quoteCharacter;
    protected String    type;
    protected String    encoding;

    public DefaultProfile() {
    }

    public DefaultProfile(
        String [] names, 
        char      separator,
        char      escapeCharacter,
        char      quoteCharacter,
        String    type,
        String    encoding
    ) {
        this.names           = names;
        this.separator       = separator;
        this.escapeCharacter = escapeCharacter;
        this.quoteCharacter  = quoteCharacter;
        this.type            = type;
        this.encoding        = encoding;
    }

    public int numberColumns() {
        return names.length;
    }

    public String getHeader(int index) {
        return names[index];
    }

    public String toString(int index, String value) {
        return value;
    }

    public char getSeparator() {
        return separator;
    }

    public char getEscapeCharacter() {
        return escapeCharacter;
    }

    public char getQuoteCharacter() {
        return quoteCharacter;
    }

    public String getType() {
        return type;
    }

    public String getEncoding() {
        return encoding;
    }
}
